<html lang="en">
<head>
<title>Mouse Bindings - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Basic-Navigation.html#Basic-Navigation" title="Basic Navigation">
<link rel="prev" href="Basic-Visuals.html#Basic-Visuals" title="Basic Visuals">
<link rel="next" href="Displays-Submenu.html#Displays-Submenu" title="Displays Submenu">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Mouse-Bindings"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Displays-Submenu.html#Displays-Submenu">Displays Submenu</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Basic-Navigation.html#Basic-Navigation">Basic Navigation</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">2.3 Mouse Bindings</h3>

<p><a name="index-mouse-bindings-13"></a>
The mouse has become a common information navigation tool.  Speedbar
will use the mouse to navigate file systems, buffer lists, and other
data.  The different textual cues provide buttons which can be clicked
on (see <a href="Basic-Visuals.html#Basic-Visuals">Basic Visuals</a>).  Anything that highlights can be clicked on
with the mouse, or affected by the menu.

   <p>The mouse bindings are:

     <dl>
<dt><kbd>Mouse-1</kbd><dd>Move cursor to that location. 
<br><dt><kbd>Mouse-2</kbd><dt><kbd>Double-Mouse-1</kbd><dd>Activate the current button.  <kbd>Double-Mouse-1</kbd> is called a <dfn>double
click</dfn> on other platforms, and is useful for windows users with two
button mice. 
<!-- Isn't it true that with two-button mice, the right button is Mouse-2? -->
<!-- On GNU/Linux, the right button is Mouse-3. -->
<br><dt><kbd>S-Mouse-2</kbd><dt><kbd>S-Double-Mouse-1</kbd><dd><a name="index-power-click-14"></a>This has the same effect as <kbd>Mouse-2</kbd>, except it is called a power
click.  This means that if a group with an expansion button `<samp><span class="samp">+</span></samp>' is
clicked, any caches are flushed, and subitems re-read.  If it is a name,
it will be opened in a new frame. 
<br><dt><kbd>Mouse-3</kbd><dd>Activate the speedbar menu.  The item selected affects the line clicked,
not the line where the cursor was. 
<br><dt><kbd>Mouse-1 </kbd><span class="roman">(mode line)</span><dd>Activate the menu.  This affects the item the cursor is on before the
click, since the mouse was not clicked on anything. 
<br><dt><kbd>C-Mouse-1</kbd><dd>Buffers sub-menu.  The buffer in the attached frame is switched. 
</dl>

   <p>When the mouse moves over buttons in speedbar, details of that item
should be displayed in the minibuffer of the attached frame.  Sometimes
this can contain extra information such as file permissions, or tag
location.

   </body></html>

